> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a seat event

> Create a new seat event. Seat events are used for calculating charges.



## OpenAPI

````yaml usage.latest.product.live POST /seat-events
openapi: 3.0.0
info:
  title: Usage
  description: Manage usage events and metrics
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /seat-events:
    servers: []
    parameters: []
    post:
      tags:
        - Seat Events
      summary: Create a seat event
      description: Create a new seat event. Seat events are used for calculating charges.
      operationId: postSeatEvents
      parameters:
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/CreateSeatEventEndpointCreateSeatEventRequestModel
              example:
                customerEventId: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
                customerAlias: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
                seatType: admin
                eventTimestamp: '2022-10-01T00:00:00Z'
                total: 1
            examples:
              CreateSeatEventEndpointCreateSeatEventRequestModel:
                summary: ''
                value:
                  customerEventId: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
                  customerAlias: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
                  seatType: admin
                  eventTimestamp: '2022-10-01T00:00:00Z'
                  total: 1
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CreateSeatEventEndpointProductCreateSeatEventResponseModel
                example:
                  id: 0184421a-8202-70ea-a729-30308a40bbf7
                  customerEventId: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
                  customerAlias: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
                  seatType: admin
                  sequenceAccountId: 0184421e-a9cc-711b-af93-bf0511d4d833
                  eventTimestamp: '2022-10-01T00:00:00Z'
                  total: 1
              examples:
                CreateSeatEventEndpointProductCreateSeatEventResponseModel:
                  summary: ''
                  value:
                    id: 0184421a-8202-70ea-a729-30308a40bbf7
                    customerEventId: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
                    customerAlias: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
                    seatType: admin
                    sequenceAccountId: 0184421e-a9cc-711b-af93-bf0511d4d833
                    eventTimestamp: '2022-10-01T00:00:00Z'
                    total: 1
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    CreateSeatEventEndpointCreateSeatEventRequestModel:
      required:
        - customerAlias
        - eventTimestamp
        - seatType
        - total
      type: object
      example:
        customerEventId: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
        customerAlias: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
        seatType: admin
        eventTimestamp: '2022-10-01T00:00:00Z'
        total: 1
      properties:
        customerEventId:
          type: string
          description: >-
            Unique ID provided by customer. Another event with the same customer
            event ID will supersede this one.
          example: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
        customerAlias:
          type: string
          description: End-customer alias or ID.
          example: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
        seatType:
          type: string
          description: Seat type. This can be referenced from a seat metric.
          example: admin
        eventTimestamp:
          type: string
          description: Event timestamp, in ISO 8601 format.
          example: '2022-10-01T00:00:00Z'
        total:
          type: integer
          description: Total seats consumed for this seat type.
          example: 1
    CreateSeatEventEndpointProductCreateSeatEventResponseModel:
      required:
        - customerAlias
        - customerEventId
        - eventTimestamp
        - id
        - seatType
        - sequenceAccountId
        - total
      type: object
      example:
        id: 0184421a-8202-70ea-a729-30308a40bbf7
        customerEventId: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
        customerAlias: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
        seatType: admin
        sequenceAccountId: 0184421e-a9cc-711b-af93-bf0511d4d833
        eventTimestamp: '2022-10-01T00:00:00Z'
        total: 1
      properties:
        id:
          type: string
          description: Unique ID for this seat event.
          example: 0184421a-8202-70ea-a729-30308a40bbf7
        customerEventId:
          type: string
          description: >-
            Unique ID provided by customer. Another event with the same customer
            event ID will supersede this one.
          example: event-id-H4twuTWpYx1rkd8OMTki2hTUcZ
        customerAlias:
          type: string
          description: End-customer alias or ID.
          example: customer-id-2H4u5BBwBWsS5V2sroRFqJfTXpW
        seatType:
          type: string
          description: Seat type. This can be referenced from a seat metric.
          example: admin
        sequenceAccountId:
          type: string
          description: Unique Sequence account ID.
          example: 0184421e-a9cc-711b-af93-bf0511d4d833
        eventTimestamp:
          type: string
          description: Event timestamp, in ISO 8601 format.
          example: '2022-10-01T00:00:00Z'
        total:
          type: integer
          description: Total seats consumed for this seat type.
          example: 1

````